<?php
if (!defined('MEDIAWIKI'))
	die("MediaWiki extensions cannot be run directly.");
if (!defined('WikiDB')) {
	die("The WikiDB extension has not been set up correctly.<br>'"
		. basename(__FILE__) . "' should not be included directly.<br>Instead, "
		. "add the following to LocalSettings.php: "
		. "<tt><b>include_once(\"WikiDB/WikiDB.php\");</b></tt>");
}
/**
 * Action classes required for WikiDB.
 * Only applicable to MediaWiki 1.19 and above.
 *
 * @package MediaWiki
 * @subpackage Extensions
 *
 * @author Mark Clements <mclements at kennel17 dot co dot uk>
 * @copyright Copyright  2006-2017, Mark Clements
 * @license http://creativecommons.org/licenses/by-sa/2.5/ cc-by-sa 2.5 or later
 * @version $Rev:  $
 */

WikiDB_RegisterRevision('$Rev:  $');

class WikiDB_ViewDataAction extends FormlessAction {

	public function getName() {
		return 'viewdata';
	}

	public function onView() {
		return null;
	}

	public function show() {
		efWikiDB_SpecialActions("viewdata", $this->page);
	}

}
